#(define-markup-command (plusDeux layout props argu) (markup?)
	(interpret-markup layout props (markup #:line (#:hspace 6 argu))))


#(define-markup-command (couplet layout props verses) (markup-list?)
   #:properties ((couplet-index 2))
   (interpret-markup
      layout props
      #{ \markup\line { \bold #(format #f "~a. " couplet-index)
                        \column $verses } #}))

#(define-markup-command (couplets layout props couplets) (markup-list?)
   #:properties ((column-number 2)
                 (first-couplet-index 2)
                 (couplet-horiz-space 4)
                 (couplet-vert-space 1)
                 (word-space 1))
   (let ((columns
          (let ((columns-vector (make-vector column-number '()))
                (col-index 0)
                (couplet-index 0))
            (for-each (lambda (couplet)
                        (vector-set!
                         columns-vector col-index
                         (cons (markup #:vspace couplet-vert-space)
                               (cons (markup
                                      #:override `(word-space . ,word-space)
                                      #:override `(couplet-index
                                                   . ,(+ couplet-index
                                                         first-couplet-index))
                                      couplet)
                                     (vector-ref columns-vector col-index))))
                        (set! couplet-index (1+ couplet-index))
                        (set! col-index
                              (modulo (1+ col-index) column-number)))
                      couplets)
            (map (lambda (column)
                   (make-column-markup (reverse! column)))
                 (vector->list columns-vector)))))
     (interpret-markup
      layout props
      #{\markup
        \override #'(font-size . 1)
        \override #'(font-name . "Adobe Caslon Pro")
        \fill-line {
          \override #`(word-space . ,couplet-horiz-space)
          \line $columns
        }
      #})))